#user  nobody;
### 用于甜缘Nginx配置 ###
user www www;
###自动调整CPU核数###
worker_processes  auto;
worker_cpu_affinity auto;
#error_log  logs/error.log;
#error_log  logs/error.log  notice;
#error_log  logs/error.log  info;

#pid        logs/nginx.pid;

worker_rlimit_nofile 51200;

events 
 { 
	use epoll; 
	worker_connections 51200;
	multi_accept off; 
	accept_mutex off; 
}


http {
      include       mime.types;
      default_type  application/octet-stream;

      ### 原来的是 $host $remote_addr - $remote_user [$time_local] "$request"  ###

      log_format  main  '$http_x_forwarded_for $host $remote_addr - $remote_user [$time_local] "$request" '
      #log_format  main  '$host $remote_addr - $remote_user [$time_local] "$request" '
                      '$status $body_bytes_sent "$http_referer" '
                      '"$http_user_agent" "$http_x_forwarded_for" "$upstream_response_time"';

      #access_log  logs/access.log  main;
      ### 这是安装map模块之后需要取消注释的配置 ###
      #map $http_upgrade $connection_upgrade {
      #      default upgrade;
      #       '' close;
      #   }
      ### 这是安装map模块之后需要取消注释的配置 ###


      sendfile        on;
      #tcp_nopush     on;

      #keepalive_timeout  0;
      keepalive_timeout  65;

      gzip  on;
      client_max_body_size 100M;





         include /opt/nginx/conf/conf.d/*.conf;



}
